Manifest-Version: 1.0
Bnd-LastModified: 1730299866073
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Impl
Bundle-SymbolicName: com.liferay.portal.impl;singleton:=true
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 5.49.2
Created-By: 1.8.0_381 (Oracle Corporation)
DSTAMP: 20241030
Export-Package: com.liferay.portal.asm;version="1.0.0";uses:="org.obje
 ctweb.asm,org.objectweb.asm.commons,org.objectweb.asm.tree",com.lifer
 ay.portal.bean;version="2.0.0";uses:="com.liferay.portal.kernel.bean,
 javax.servlet.http,org.springframework.context",com.liferay.portal.da
 o.orm.hibernate;version="3.5.0";uses:="com.liferay.petra.function,com
 .liferay.petra.sql.dsl.query,com.liferay.petra.string,com.liferay.por
 tal.kernel.dao.orm,com.liferay.portal.kernel.util,org.hibernate,org.h
 ibernate.criterion,org.hibernate.dialect,org.hibernate.engine,org.hib
 ernate.property,org.hibernate.type,org.hibernate.usertype",com.lifera
 y.portal.deploy.hot;version="4.0.0";uses:="com.liferay.portal.kernel.
 configuration,com.liferay.portal.kernel.deploy.hot,com.liferay.portal
 .kernel.model,com.liferay.portal.kernel.plugin,com.liferay.portal.ker
 nel.service,com.liferay.portal.kernel.service.configuration,com.lifer
 ay.portal.kernel.service.persistence,com.liferay.portal.kernel.url,co
 m.liferay.portal.kernel.util,com.liferay.portal.kernel.xml,com.lifera
 y.registry,javax.servlet",com.liferay.portal.events;version="3.1.0";u
 ses:="com.liferay.portal.kernel.dao.db,com.liferay.portal.kernel.depl
 oy.auto,com.liferay.portal.kernel.deploy.hot,com.liferay.portal.kerne
 l.events,com.liferay.portal.kernel.model,com.liferay.portal.kernel.up
 grade,javax.servlet.http",com.liferay.portal.freemarker;version="1.0.
 2",com.liferay.portal.minifier;version="2.0.0",com.liferay.portal.plu
 gin;version="2.0.0";uses:="com.liferay.portal.kernel.exception,com.li
 feray.portal.kernel.model,com.liferay.portal.kernel.plugin,com.lifera
 y.portal.kernel.xml,javax.servlet",com.liferay.portal.security.auth;v
 ersion="2.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay
 .portal.kernel.model,com.liferay.portal.kernel.portlet,com.liferay.po
 rtal.kernel.security.auth,com.liferay.portal.kernel.security.auth.ver
 ifier,com.liferay.portal.kernel.spring.osgi,javax.security.auth.callb
 ack,javax.servlet.http",com.liferay.portal.security.lang;version="2.0
 .0",com.liferay.portal.service.http;version="3.8.0";uses:="com.lifera
 y.announcements.kernel.model,com.liferay.portal.kernel.exception,com.
 liferay.portal.kernel.json,com.liferay.portal.kernel.model,com.lifera
 y.portal.kernel.repository.model,com.liferay.portal.kernel.security.a
 uth,com.liferay.portal.kernel.service,com.liferay.portal.kernel.util,
 javax.portlet",com.liferay.portal.service.permission;version="2.0.0";
 uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 model,com.liferay.portal.kernel.security.auth,com.liferay.portal.kern
 el.security.permission,com.liferay.portal.kernel.service.permission,c
 om.liferay.portal.kernel.spring.osgi,javax.portlet",com.liferay.porta
 l.service.persistence.constants;version="1.0.0",com.liferay.portal.se
 rvlet;version="3.0.0";uses:="com.liferay.portal.kernel.exception,com.
 liferay.portal.kernel.model,com.liferay.portal.kernel.servlet,com.lif
 eray.portal.kernel.util,com.liferay.portal.kernel.xml,com.liferay.por
 tlet,com.liferay.util.axis,javax.servlet,javax.servlet.http,org.apach
 e.abdera.protocol.server,org.apache.abdera.protocol.server.servlet,or
 g.eclipse.jetty.server.session,org.jfree.chart.servlet",com.liferay.p
 ortal.servlet.filters;version="1.0.0";uses:="com.liferay.portal.kerne
 l.log,com.liferay.portal.kernel.servlet,javax.servlet.http",com.lifer
 ay.portal.servlet.filters.authverifier;version="1.0.2";uses:="com.lif
 eray.portal.servlet.filters,javax.servlet,javax.servlet.http",com.lif
 eray.portal.spring.configurator;version="1.0.0";uses:="org.springfram
 ework.context",com.liferay.portal.template;version="2.5.0";uses:="com
 .liferay.portal.kernel.cache,com.liferay.portal.kernel.spring.osgi,co
 m.liferay.portal.kernel.template,javax.portlet,javax.servlet,javax.se
 rvlet.http",com.liferay.portal.tools;version="3.4.0";uses:="com.lifer
 ay.petra.string,com.liferay.portal.kernel.dao.db,com.liferay.portal.k
 ernel.exception,com.liferay.portal.kernel.io.unsync,com.liferay.porta
 l.kernel.util,com.liferay.portal.kernel.xml,org.springframework.conte
 xt",com.liferay.portal.upgrade.util;version="3.1.0";uses:="com.lifera
 y.portal.kernel.dao.db,com.liferay.portal.kernel.upgrade,com.liferay.
 portal.kernel.upgrade.util,com.liferay.portal.kernel.version",com.lif
 eray.portal.upgrade.v7_0_0;version="3.3.0";uses:="com.liferay.portal.
 kernel.dao.orm,com.liferay.portal.kernel.settings,com.liferay.portal.
 kernel.upgrade,com.liferay.portal.kernel.util,javax.portlet",com.life
 ray.portal.upgrade.v7_0_5;version="2.0.0";uses:="com.liferay.portal.k
 ernel.upgrade",com.liferay.portal.upgrade.v7_1_x;version="1.5.0";uses
 :="com.liferay.portal.kernel.upgrade,com.liferay.portal.kernel.versio
 n,com.liferay.portal.upgrade.util,com.liferay.portal.upgrade.v7_0_0",
 com.liferay.portal.upload;version="2.2.0";uses:="com.liferay.portal.k
 ernel.servlet,com.liferay.portal.kernel.upload,javax.portlet,javax.se
 rvlet,javax.servlet.http,org.apache.commons.fileupload,org.apache.com
 mons.fileupload.disk",com.liferay.portal.util;version="4.30.0";uses:=
 "com.liferay.expando.kernel.model,com.liferay.layouts.admin.kernel.ut
 il,com.liferay.petra.process,com.liferay.portal.kernel.configuration,
 com.liferay.portal.kernel.exception,com.liferay.portal.kernel.json,co
 m.liferay.portal.kernel.model,com.liferay.portal.kernel.openid,com.li
 feray.portal.kernel.portlet,com.liferay.portal.kernel.repository,com.
 liferay.portal.kernel.repository.event,com.liferay.portal.kernel.secu
 rity.permission,com.liferay.portal.kernel.service,com.liferay.portal.
 kernel.settings,com.liferay.portal.kernel.spring.osgi,com.liferay.por
 tal.kernel.theme,com.liferay.portal.kernel.upload,com.liferay.portal.
 kernel.util,com.liferay.portal.kernel.xml,javax.portlet,javax.servlet
 ,javax.servlet.http,org.apache.http,org.apache.http.client.config,org
 .apache.http.client.methods,org.apache.http.client.protocol,org.apach
 e.http.cookie,org.apache.http.impl.client,org.apache.tika.mime,org.ap
 ache.tools.ant,org.w3c.dom,org.xml.sax",com.liferay.portal.xml;versio
 n="1.2.1";uses:="com.liferay.portal.kernel.security.xml,com.liferay.p
 ortal.kernel.util,com.liferay.portal.kernel.xml,javax.xml.stream,org.
 dom4j,org.dom4j.io,org.dom4j.tree,org.xml.sax",com.liferay.portlet;ve
 rsion="2.4.0";uses:="com.liferay.portal.kernel.exception,com.liferay.
 portal.kernel.model,com.liferay.portal.kernel.portlet,com.liferay.por
 tal.kernel.security.auth,com.liferay.portal.kernel.servlet,com.lifera
 y.portal.kernel.template,com.liferay.portal.kernel.theme,com.liferay.
 portal.kernel.transaction,com.liferay.portal.kernel.util,javax.portle
 t,javax.portlet.filter,javax.servlet,javax.servlet.http,javax.xml.str
 eam",com.liferay.portlet.asset;version="2.2.0",com.liferay.portlet.as
 set.model.impl;version="2.2.1";uses:="com.liferay.asset.kernel.model,
 com.liferay.expando.kernel.model,com.liferay.exportimport.kernel.lar,
 com.liferay.portal.kernel.exception,com.liferay.portal.kernel.json,co
 m.liferay.portal.kernel.model,com.liferay.portal.kernel.model.impl,co
 m.liferay.portal.kernel.service,com.liferay.portlet.asset.util",com.l
 iferay.portlet.asset.service.permission;version="2.0.0";uses:="com.li
 feray.asset.kernel.model,com.liferay.portal.kernel.exception,com.life
 ray.portal.kernel.security.permission,com.liferay.portal.kernel.sprin
 g.osgi",com.liferay.portlet.asset.util;version="2.2.0";uses:="com.lif
 eray.asset.kernel.model,com.liferay.asset.kernel.service.persistence,
 com.liferay.portal.kernel.exception,com.liferay.portal.kernel.model,c
 om.liferay.portal.kernel.portlet,com.liferay.portal.kernel.search,com
 .liferay.portal.kernel.search.filter,com.liferay.portal.kernel.securi
 ty.permission,com.liferay.portal.kernel.theme,javax.portlet,javax.ser
 vlet.http",com.liferay.portlet.documentlibrary;version="1.0.2";uses:=
 "com.liferay.portal.kernel.exception,com.liferay.portal.kernel.settin
 gs",com.liferay.portlet.documentlibrary.antivirus;version="2.1.0";use
 s:="com.liferay.document.library.kernel.antivirus",com.liferay.portle
 t.documentlibrary.asset;version="1.0.0";uses:="com.liferay.asset.kern
 el.model,com.liferay.document.library.kernel.model,com.liferay.dynami
 c.data.mapping.kernel,com.liferay.portal.kernel.exception,com.liferay
 .portal.kernel.repository.model",com.liferay.portlet.documentlibrary.
 lar;version="2.0.0";uses:="com.liferay.portal.kernel.exception,com.li
 feray.portal.kernel.repository.model",com.liferay.portlet.documentlib
 rary.service.permission;version="2.0.0";uses:="com.liferay.document.l
 ibrary.kernel.model,com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.repository.model,com.liferay.portal.kernel.security.perm
 ission,com.liferay.portal.kernel.spring.osgi",com.liferay.portlet.doc
 umentlibrary.store;version="3.1.0";uses:="com.liferay.document.librar
 y.kernel.store,com.liferay.portal.kernel.exception,com.liferay.portal
 .kernel.service",com.liferay.portlet.documentlibrary.util;version="2.
 1.0";uses:="com.liferay.document.library.kernel.model,com.liferay.doc
 ument.library.kernel.util,com.liferay.exportimport.kernel.lar,com.lif
 eray.petra.process,com.liferay.portal.kernel.exception,com.liferay.po
 rtal.kernel.lock,com.liferay.portal.kernel.repository.model,com.lifer
 ay.portal.kernel.search,com.liferay.portal.kernel.service,com.liferay
 .portal.kernel.theme,com.liferay.portal.kernel.util,com.liferay.porta
 l.kernel.xml,com.xuggle.ferry,com.xuggle.xuggler,javax.portlet",com.l
 iferay.portlet.expando.model.impl;version="1.5.0";uses:="com.liferay.
 expando.kernel.model,com.liferay.portal.kernel.exception,com.liferay.
 portal.kernel.json,com.liferay.portal.kernel.model,com.liferay.portal
 .kernel.model.impl,com.liferay.portal.kernel.service,com.liferay.port
 al.kernel.util",com.liferay.portlet.expando.util;version="2.0.0";uses
 :="com.liferay.expando.kernel.model,com.liferay.expando.kernel.util,c
 om.liferay.portal.kernel.exception,com.liferay.portal.kernel.search",
 com.liferay.portlet.layoutsadmin.display.context;version="1.0.2";uses
 :="com.liferay.portal.kernel.model,com.liferay.portal.kernel.util,jav
 ax.servlet.http",com.liferay.portlet.trash;version="1.0.0",com.lifera
 y.portlet.trash.util;version="3.0.0";uses:="com.liferay.portal.kernel
 .exception,com.liferay.portal.kernel.model,com.liferay.portal.kernel.
 portlet,com.liferay.portal.kernel.search,com.liferay.portal.kernel.th
 eme,com.liferay.portal.kernel.util,com.liferay.trash.kernel.model,com
 .liferay.trash.kernel.util,javax.portlet,javax.servlet.http",com.life
 ray.portlet.usersadmin.search;version="1.1.0";uses:="com.liferay.port
 al.kernel.dao.search,com.liferay.portal.kernel.exception,com.liferay.
 portal.kernel.model,com.liferay.portal.kernel.search,javax.portlet"
Git-Descriptor: 018bbc8518661-dirty
Git-SHA: 018bbc851866179fa9901f5227f4fa8666ecdfb6
Import-Package: com.liferay.admin.kernel.util,com.liferay.announcement
 s.kernel.exception,com.liferay.announcements.kernel.model,com.liferay
 .announcements.kernel.service,com.liferay.announcements.kernel.servic
 e.persistence,com.liferay.asset.kernel,com.liferay.asset.kernel.excep
 tion,com.liferay.asset.kernel.model,com.liferay.asset.kernel.model.ad
 apter,com.liferay.asset.kernel.service,com.liferay.asset.kernel.servi
 ce.persistence,com.liferay.asset.kernel.util,com.liferay.asset.kernel
 .validator,com.liferay.background.task.kernel.util.comparator,com.lif
 eray.counter.kernel.model,com.liferay.counter.kernel.service,com.life
 ray.counter.kernel.service.persistence,com.liferay.document.library.k
 ernel.antivirus,com.liferay.document.library.kernel.document.conversi
 on,com.liferay.document.library.kernel.exception,com.liferay.document
 .library.kernel.model,com.liferay.document.library.kernel.service,com
 .liferay.document.library.kernel.service.persistence,com.liferay.docu
 ment.library.kernel.store,com.liferay.document.library.kernel.util,co
 m.liferay.document.library.kernel.util.comparator,com.liferay.documen
 t.library.kernel.versioning,com.liferay.dynamic.data.mapping.kernel,c
 om.liferay.expando.kernel.exception,com.liferay.expando.kernel.model,
 com.liferay.expando.kernel.model.adapter,com.liferay.expando.kernel.s
 ervice,com.liferay.expando.kernel.service.permission,com.liferay.expa
 ndo.kernel.service.persistence,com.liferay.expando.kernel.util,com.li
 feray.exportimport.kernel.configuration,com.liferay.exportimport.kern
 el.controller,com.liferay.exportimport.kernel.exception,com.liferay.e
 xportimport.kernel.lar,com.liferay.exportimport.kernel.lifecycle,com.
 liferay.exportimport.kernel.model,com.liferay.exportimport.kernel.ser
 vice,com.liferay.exportimport.kernel.service.persistence,com.liferay.
 exportimport.kernel.staging,com.liferay.exportimport.kernel.staging.p
 ermission,com.liferay.layout.admin.kernel.util,com.liferay.layouts.ad
 min.kernel.util,com.liferay.mail.kernel.model,com.liferay.mail.kernel
 .service,com.liferay.mail.kernel.template,com.liferay.mail.kernel.uti
 l,com.liferay.petra.concurrent,com.liferay.petra.content,com.liferay.
 petra.encryptor,com.liferay.petra.executor,com.liferay.petra.function
 ,com.liferay.petra.io,com.liferay.petra.io.unsync,com.liferay.petra.l
 ang,com.liferay.petra.log4j,com.liferay.petra.mail,com.liferay.petra.
 memory,com.liferay.petra.nio,com.liferay.petra.process,com.liferay.pe
 tra.reflect,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.ast,c
 om.liferay.petra.sql.dsl.base,com.liferay.petra.sql.dsl.expression,co
 m.liferay.petra.sql.dsl.expression.step,com.liferay.petra.sql.dsl.que
 ry,com.liferay.petra.sql.dsl.query.sort,com.liferay.petra.sql.dsl.spi
 .ast,com.liferay.petra.sql.dsl.spi.expression,com.liferay.petra.strin
 g,com.liferay.petra.xml,com.liferay.portal.asm;version="[1.0,2)",com.
 liferay.portal.bean;version="[2.0,3)",com.liferay.portal.freemarker;v
 ersion="[1.0,2)",com.liferay.portal.kernel.annotation,com.liferay.por
 tal.kernel.aop,com.liferay.portal.kernel.application.type,com.liferay
 .portal.kernel.atom,com.liferay.portal.kernel.audit,com.liferay.porta
 l.kernel.backgroundtask,com.liferay.portal.kernel.bean,com.liferay.po
 rtal.kernel.cache,com.liferay.portal.kernel.cache.index,com.liferay.p
 ortal.kernel.cache.key,com.liferay.portal.kernel.cache.thread.local,c
 om.liferay.portal.kernel.change.tracking,com.liferay.portal.kernel.cl
 uster,com.liferay.portal.kernel.comment,com.liferay.portal.kernel.con
 current,com.liferay.portal.kernel.configuration,com.liferay.portal.ke
 rnel.dao.db,com.liferay.portal.kernel.dao.jdbc,com.liferay.portal.ker
 nel.dao.jdbc.aop,com.liferay.portal.kernel.dao.jdbc.pool.metrics,com.
 liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.dao.search,co
 m.liferay.portal.kernel.dependency.manager,com.liferay.portal.kernel.
 deploy,com.liferay.portal.kernel.deploy.auto,com.liferay.portal.kerne
 l.deploy.auto.context,com.liferay.portal.kernel.deploy.hot,com.lifera
 y.portal.kernel.diff,com.liferay.portal.kernel.editor.configuration,c
 om.liferay.portal.kernel.events,com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.facebook,com.liferay.portal.kernel.flash,com
 .liferay.portal.kernel.format,com.liferay.portal.kernel.image,com.lif
 eray.portal.kernel.increment,com.liferay.portal.kernel.instance.lifec
 ycle,com.liferay.portal.kernel.internal.service.permission,com.lifera
 y.portal.kernel.interval,com.liferay.portal.kernel.io,com.liferay.por
 tal.kernel.io.unsync,com.liferay.portal.kernel.javadoc,com.liferay.po
 rtal.kernel.jazzy,com.liferay.portal.kernel.jndi,com.liferay.portal.k
 ernel.json,com.liferay.portal.kernel.jsonwebservice,com.liferay.porta
 l.kernel.language,com.liferay.portal.kernel.layoutconfiguration.util,
 com.liferay.portal.kernel.layoutconfiguration.util.xml,com.liferay.po
 rtal.kernel.license,com.liferay.portal.kernel.license.messaging,com.l
 iferay.portal.kernel.license.util,com.liferay.portal.kernel.lock,com.
 liferay.portal.kernel.log,com.liferay.portal.kernel.messaging,com.lif
 eray.portal.kernel.messaging.async,com.liferay.portal.kernel.messagin
 g.config,com.liferay.portal.kernel.messaging.proxy,com.liferay.portal
 .kernel.messaging.sender,com.liferay.portal.kernel.metadata,com.lifer
 ay.portal.kernel.mobile.device,com.liferay.portal.kernel.model,com.li
 feray.portal.kernel.model.adapter,com.liferay.portal.kernel.model.ada
 pter.builder,com.liferay.portal.kernel.model.change.tracking,com.life
 ray.portal.kernel.model.dao,com.liferay.portal.kernel.model.impl,com.
 liferay.portal.kernel.model.portlet,com.liferay.portal.kernel.model.r
 ole,com.liferay.portal.kernel.module.framework,com.liferay.portal.ker
 nel.module.framework.service,com.liferay.portal.kernel.nio.intraband,
 com.liferay.portal.kernel.nio.intraband.proxy,com.liferay.portal.kern
 el.nio.intraband.proxy.annotation,com.liferay.portal.kernel.nio.intra
 band.rpc,com.liferay.portal.kernel.notifications,com.liferay.portal.k
 ernel.oauth,com.liferay.portal.kernel.openid,com.liferay.portal.kerne
 l.patcher,com.liferay.portal.kernel.plugin,com.liferay.portal.kernel.
 poller,com.liferay.portal.kernel.poller.comet,com.liferay.portal.kern
 el.pop,com.liferay.portal.kernel.portlet,com.liferay.portal.kernel.po
 rtlet.async,com.liferay.portal.kernel.portlet.bridges.mvc,com.liferay
 .portal.kernel.portlet.configuration.icon,com.liferay.portal.kernel.p
 ortlet.toolbar,com.liferay.portal.kernel.portletfilerepository,com.li
 feray.portal.kernel.process,com.liferay.portal.kernel.repository,com.
 liferay.portal.kernel.repository.capabilities,com.liferay.portal.kern
 el.repository.event,com.liferay.portal.kernel.repository.model,com.li
 feray.portal.kernel.repository.proxy,com.liferay.portal.kernel.reposi
 tory.registry,com.liferay.portal.kernel.repository.util,com.liferay.p
 ortal.kernel.resource.bundle,com.liferay.portal.kernel.sanitizer,com.
 liferay.portal.kernel.scheduler,com.liferay.portal.kernel.scheduler.m
 essaging,com.liferay.portal.kernel.search,com.liferay.portal.kernel.s
 earch.facet.faceted.searcher,com.liferay.portal.kernel.search.filter,
 com.liferay.portal.kernel.search.generic,com.liferay.portal.kernel.se
 arch.reindexer,com.liferay.portal.kernel.security,com.liferay.portal.
 kernel.security.access.control,com.liferay.portal.kernel.security.aut
 h,com.liferay.portal.kernel.security.auth.http,com.liferay.portal.ker
 nel.security.auth.session,com.liferay.portal.kernel.security.auth.tun
 nel,com.liferay.portal.kernel.security.auth.verifier,com.liferay.port
 al.kernel.security.auto.login,com.liferay.portal.kernel.security.expo
 rtimport,com.liferay.portal.kernel.security.jaas,com.liferay.portal.k
 ernel.security.ldap,com.liferay.portal.kernel.security.membershippoli
 cy,com.liferay.portal.kernel.security.permission,com.liferay.portal.k
 ernel.security.permission.comparator,com.liferay.portal.kernel.securi
 ty.permission.contributor,com.liferay.portal.kernel.security.permissi
 on.propagator,com.liferay.portal.kernel.security.permission.resource,
 com.liferay.portal.kernel.security.permission.wrapper,com.liferay.por
 tal.kernel.security.pwd,com.liferay.portal.kernel.security.service.ac
 cess.policy,com.liferay.portal.kernel.security.sso,com.liferay.portal
 .kernel.security.xml,com.liferay.portal.kernel.service,com.liferay.po
 rtal.kernel.service.configuration,com.liferay.portal.kernel.service.c
 onfiguration.servlet,com.liferay.portal.kernel.service.http,com.lifer
 ay.portal.kernel.service.permission,com.liferay.portal.kernel.service
 .persistence,com.liferay.portal.kernel.service.persistence.change.tra
 cking,com.liferay.portal.kernel.service.persistence.change.tracking.h
 elper,com.liferay.portal.kernel.service.persistence.impl,com.liferay.
 portal.kernel.servlet,com.liferay.portal.kernel.servlet.filters.compo
 undsessionid,com.liferay.portal.kernel.servlet.filters.invoker,com.li
 feray.portal.kernel.servlet.taglib,com.liferay.portal.kernel.servlet.
 taglib.aui,com.liferay.portal.kernel.servlet.taglib.ui,com.liferay.po
 rtal.kernel.servlet.taglib.util,com.liferay.portal.kernel.settings,co
 m.liferay.portal.kernel.social,com.liferay.portal.kernel.spring.aop,c
 om.liferay.portal.kernel.spring.orm,com.liferay.portal.kernel.spring.
 osgi,com.liferay.portal.kernel.struts,com.liferay.portal.kernel.syste
 mevent,com.liferay.portal.kernel.template,com.liferay.portal.kernel.t
 emplateparser,com.liferay.portal.kernel.terms.of.use,com.liferay.port
 al.kernel.theme,com.liferay.portal.kernel.transaction,com.liferay.por
 tal.kernel.trash,com.liferay.portal.kernel.tree,com.liferay.portal.ke
 rnel.upgrade,com.liferay.portal.kernel.upgrade.util,com.liferay.porta
 l.kernel.upload,com.liferay.portal.kernel.url,com.liferay.portal.kern
 el.util,com.liferay.portal.kernel.util.comparator,com.liferay.portal.
 kernel.uuid,com.liferay.portal.kernel.verify.model,com.liferay.portal
 .kernel.version,com.liferay.portal.kernel.view.count,com.liferay.port
 al.kernel.webcache,com.liferay.portal.kernel.webdav,com.liferay.porta
 l.kernel.webdav.methods,com.liferay.portal.kernel.webserver,com.lifer
 ay.portal.kernel.words,com.liferay.portal.kernel.workflow,com.liferay
 .portal.kernel.workflow.comparator,com.liferay.portal.kernel.workflow
 .permission,com.liferay.portal.kernel.xml,com.liferay.portal.kernel.x
 ml.simple,com.liferay.portal.kernel.xmlrpc,com.liferay.portal.kernel.
 xuggler,com.liferay.portal.kernel.zip,com.liferay.portal.plugin;versi
 on="[2.0,3)",com.liferay.portal.security.auth;version="[2.0,3)",com.l
 iferay.portal.service.permission;version="[2.0,3)",com.liferay.portal
 .service.persistence.constants;version="[1.0,2)",com.liferay.portal.s
 ervlet.filters;version="[1.0,2)",com.liferay.portal.spring.configurat
 or;version="[1.0,2)",com.liferay.portal.upload;version="[2.2,3)",com.
 liferay.portlet.asset.model.impl;version="[2.2,3)",com.liferay.portle
 t.asset.service.permission;version="[2.0,3)",com.liferay.portlet.asse
 t.util;version="[2.2,3)",com.liferay.portlet.configuration.kernel.uti
 l,com.liferay.portlet.documentlibrary;version="[1.0,2)",com.liferay.p
 ortlet.documentlibrary.asset;version="[1.0,2)",com.liferay.portlet.ex
 pando.model.impl;version="[1.5,2)",com.liferay.portlet.usersadmin.sea
 rch;version="[1.1,2)",com.liferay.ratings.kernel.exception,com.lifera
 y.ratings.kernel.model,com.liferay.ratings.kernel.service,com.liferay
 .ratings.kernel.service.persistence,com.liferay.ratings.kernel.transf
 ormer,com.liferay.registry,com.liferay.registry.collections,com.lifer
 ay.registry.dependency,com.liferay.registry.util,com.liferay.roles.ad
 min.kernel.util,com.liferay.sites.kernel.util,com.liferay.social.kern
 el.exception,com.liferay.social.kernel.model,com.liferay.social.kerne
 l.model.impl,com.liferay.social.kernel.service,com.liferay.social.ker
 nel.service.permission,com.liferay.social.kernel.service.persistence,
 com.liferay.social.kernel.util,com.liferay.social.kernel.util.compara
 tor,com.liferay.taglib,com.liferay.taglib.aui,com.liferay.taglib.serv
 let,com.liferay.taglib.ui.util,com.liferay.taglib.util,com.liferay.tr
 ash.kernel.exception,com.liferay.trash.kernel.model,com.liferay.trash
 .kernel.service,com.liferay.trash.kernel.service.persistence,com.life
 ray.trash.kernel.util,com.liferay.trash.kernel.util.comparator,com.li
 feray.users.admin.kernel.file.uploads,com.liferay.users.admin.kernel.
 organization.types,com.liferay.users.admin.kernel.util,com.liferay.ut
 il,com.liferay.util.ant,com.liferay.util.axis,com.liferay.util.bridge
 s.wai,com.liferay.util.dao.orm,com.liferay.util.portlet,com.liferay.u
 til.servlet,com.liferay.util.servlet.filters,com.liferay.util.xml,com
 .liferay.util.xml.descriptor,com.mchange.v2.c3p0,com.mchange.v2.c3p0.
 impl,com.rometools.rome.io,com.sun.ccpp,com.swabunga.spell.engine,com
 .swabunga.spell.event,com.thoughtworks.qdox,com.thoughtworks.qdox.mod
 el,com.xuggle.ferry,com.xuggle.xuggler,com.xuggle.xuggler.video,com.z
 axxer.hikari,de.hunsicker.io,de.hunsicker.jalopy,de.hunsicker.jalopy.
 storage,freemarker.cache,freemarker.template,io.netty.bootstrap,io.ne
 tty.buffer,io.netty.channel,io.netty.channel.embedded,io.netty.channe
 l.nio,io.netty.channel.socket,io.netty.channel.socket.nio,io.netty.ha
 ndler.codec,io.netty.handler.logging,io.netty.util,io.netty.util.conc
 urrent,jargs.gnu,javassist.util.proxy,javax.activation,javax.ccpp,jav
 ax.crypto,javax.crypto.spec,javax.enterprise.deploy.shared,javax.ente
 rprise.deploy.shared.factories,javax.enterprise.deploy.spi,javax.ente
 rprise.deploy.spi.factories,javax.enterprise.deploy.spi.status,javax.
 imageio,javax.imageio.spi,javax.imageio.stream,javax.mail,javax.mail.
 internet,javax.management,javax.management.openmbean,javax.media.jai,
 javax.media.jai.operator,javax.naming,javax.net.ssl,javax.portlet,jav
 ax.portlet.annotations,javax.portlet.filter,javax.security.auth,javax
 .security.auth.callback,javax.security.auth.login,javax.security.auth
 .spi,javax.servlet,javax.servlet.http,javax.servlet.jsp,javax.sql,jav
 ax.xml.namespace,javax.xml.parsers,javax.xml.stream,javax.xml.stream.
 events,javax.xml.transform,javax.xml.transform.dom,javax.xml.transfor
 m.sax,javax.xml.transform.stream,jodd.bean,jodd.introspector,jodd.jso
 n,jodd.json.impl,jodd.json.meta,jodd.paramo,jodd.time,jodd.typeconver
 ter,jodd.typeconverter.impl,jodd.util,net.htmlparser.jericho,net.jmge
 .gif,org.apache.abdera,org.apache.abdera.ext.history,org.apache.abder
 a.factory,org.apache.abdera.i18n.iri,org.apache.abdera.model,org.apac
 he.abdera.protocol,org.apache.abdera.protocol.server,org.apache.abder
 a.protocol.server.context,org.apache.abdera.protocol.server.impl,org.
 apache.abdera.protocol.server.servlet,org.apache.commons.codec,org.ap
 ache.commons.codec.binary,org.apache.commons.collections.map,org.apac
 he.commons.compress.archivers.zip,org.apache.commons.configuration,or
 g.apache.commons.dbcp,org.apache.commons.fileupload,org.apache.common
 s.fileupload.disk,org.apache.commons.fileupload.servlet,org.apache.co
 mmons.io,org.apache.commons.io.output,org.apache.commons.lang.builder
 ,org.apache.commons.lang.exception,org.apache.commons.lang.time,org.a
 pache.commons.logging,org.apache.commons.validator.routines,org.apach
 e.http,org.apache.http.auth,org.apache.http.client,org.apache.http.cl
 ient.config,org.apache.http.client.methods,org.apache.http.client.pro
 tocol,org.apache.http.config,org.apache.http.conn,org.apache.http.con
 n.routing,org.apache.http.conn.socket,org.apache.http.conn.ssl,org.ap
 ache.http.cookie,org.apache.http.entity,org.apache.http.entity.mime,o
 rg.apache.http.entity.mime.content,org.apache.http.impl.client,org.ap
 ache.http.impl.conn,org.apache.http.impl.cookie,org.apache.http.pool,
 org.apache.http.protocol,org.apache.http.util,org.apache.log4j,org.ap
 ache.oro.io,org.apache.pdfbox.pdmodel,org.apache.pdfbox.pdmodel.commo
 n,org.apache.pdfbox.pdmodel.encryption,org.apache.pdfbox.rendering,or
 g.apache.poi,org.apache.tika,org.apache.tika.config,org.apache.tika.d
 etect,org.apache.tika.exception,org.apache.tika.extractor,org.apache.
 tika.io,org.apache.tika.metadata,org.apache.tika.mime,org.apache.tika
 .parser,org.apache.tika.parser.txt,org.apache.tika.sax,org.apache.tom
 cat.jdbc.pool,org.apache.tomcat.jdbc.pool.jmx,org.apache.tools.ant,or
 g.apache.xerces.parsers,org.apache.xerces.xni,org.dom4j,org.dom4j.io,
 org.dom4j.tree,org.eclipse.jetty.server.session,org.hibernate,org.hib
 ernate.cfg,org.hibernate.classic,org.hibernate.criterion,org.hibernat
 e.dialect,org.hibernate.dialect.function,org.hibernate.dialect.resolv
 er,org.hibernate.engine,org.hibernate.engine.query,org.hibernate.even
 t,org.hibernate.event.def,org.hibernate.id,org.hibernate.impl,org.hib
 ernate.intercept,org.hibernate.jdbc,org.hibernate.jmx,org.hibernate.m
 etadata,org.hibernate.persister.entity,org.hibernate.property,org.hib
 ernate.type,org.hibernate.usertype,org.im4java.core,org.im4java.proce
 ss,org.incava.util.diff,org.jabsorb,org.jabsorb.serializer,org.jaxen,
 org.jaxen.function,org.jfree.chart.servlet,org.json,org.monte.media.j
 peg,org.mozilla.intl.chardet,org.objectweb.asm,org.objectweb.asm.comm
 ons,org.objectweb.asm.tree,org.outerj.daisy.diff,org.outerj.daisy.dif
 f.html,org.outerj.daisy.diff.html.dom,org.outerj.daisy.diff.output,or
 g.postgresql,org.postgresql.largeobject,org.scribe.builder.api,org.sc
 ribe.model,org.scribe.oauth,org.springframework.aop,org.springframewo
 rk.aop.framework,org.springframework.aop.support,org.springframework.
 beans,org.springframework.beans.factory,org.springframework.beans.fac
 tory.config,org.springframework.beans.factory.support,org.springframe
 work.beans.factory.xml,org.springframework.context,org.springframewor
 k.context.support,org.springframework.core,org.springframework.core.i
 o,org.springframework.core.io.support,org.springframework.jdbc.dataso
 urce,org.springframework.mock.web,org.springframework.orm.hibernate3,
 org.springframework.transaction,org.springframework.transaction.inter
 ceptor,org.springframework.transaction.support,org.springframework.ut
 il,org.springframework.web.context,org.springframework.web.context.su
 pport,org.tuckey.web.filters.urlrewrite,org.vps.crypt,org.w3c.dom,org
 .xml.sax,org.xml.sax.helpers
Include-Resource: classes
Javac-Compiler: modern
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: ISO-8859-1
Liferay-Portal-Build-Date: Thu Oct 26 00:00:00 PDT 2023
Liferay-Portal-Build-Number: 7310
Liferay-Portal-Build-Time: Wed Oct 30 07:51:03 PDT 2024
Liferay-Portal-Code-Name: Athanasius
Liferay-Portal-Fixed-Issues: LPD-2443,LPE-17829,LPE-17848,LPE-17926,LP
 S-196513,LRP-1615
Liferay-Portal-Installed-Patches: hotfix-9572-7310
Liferay-Portal-Parent-Build-Number: 7310
Liferay-Portal-Release-Info: Liferay Digital Experience Platform 7.3.1
 0 Update 34 (Athanasius / Build 7310 / October 26, 2023)
Liferay-Portal-Server-Info: Liferay Digital Experience Platform / 7.3.
 10
Liferay-Portal-Version: 7.3.10
Liferay-Portal-Version-Display-Name: 7.3.10 Update 34
Liferay-Service: true
Private-Package: com.liferay.portlet.admin.dependencies,com.liferay.po
 rtal.tools.sql.dependencies,com.liferay.portlet.announcements.depende
 ncies,com.liferay.portlet.messageboards.dependencies,com.liferay.port
 let.documentlibrary.dependencies,com.liferay.portal.webserver.depende
 ncies,com.liferay.portal.util.dependencies,com.liferay.portal.words.d
 ependencies,com.liferay.portal.events.dependencies,com.liferay.portal
 .deploy.dependencies,com.liferay.portal.tools.dependencies,com.lifera
 y.portlet.blogs.dependencies,com.liferay.portlet.portletdisplaytempla
 te.dependencies,com.liferay.portal.tools.propertiesdoc.dependencies,c
 om.liferay.portal.servlet.filters.dynamiccss.dependencies,com.liferay
 .portlet.sites.dependencies,com.liferay.portal.dependencies,com.lifer
 ay.counter.model,com.liferay.counter.model.impl,com.liferay.counter,c
 om.liferay.counter.service.base,com.liferay.counter.service.impl,com.
 liferay.counter.service.persistence,com.liferay.counter.service.persi
 stence.impl,com.liferay.mail.dependencies.fedora.ksh,com.liferay.mail
 .dependencies.fedora.sendmail,com.liferay.mail.messaging,com.liferay.
 mail,com.liferay.mail.service.impl,com.liferay.mail.util,com.liferay.
 portal.action,com.liferay.portal.atom,com.liferay.portal.cache.key,co
 m.liferay.portal.cache.thread.local,com.liferay.portal.ccpp,com.lifer
 ay.portal.change.tracking.registry,com.liferay.portal.change.tracking
 .sql,com.liferay.portal.change.tracking.store,com.liferay.portal.conf
 iguration,com.liferay.portal.convert,com.liferay.portal.convert.docum
 entlibrary,com.liferay.portal.convert.messaging,com.liferay.portal.da
 o.db,com.liferay.portal.dao.init,com.liferay.portal.dao.jdbc,com.life
 ray.portal.dao.jdbc.aop,com.liferay.portal.dao.jdbc.pool.c3p0,com.lif
 eray.portal.dao.jdbc.pool.metrics,com.liferay.portal.dao.jdbc.postgre
 sql,com.liferay.portal.dao.jdbc.spring,com.liferay.portal.dao.jdbc.ut
 il,com.liferay.portal.dao.orm.common,com.liferay.portal.dao.orm.hiber
 nate.event,com.liferay.portal.dao.orm.hibernate.jmx,com.liferay.porta
 l.dao.sql.transformer,com.liferay.portal.db.partition,com.liferay.por
 tal.definitions,com.liferay.portal.deploy,com.liferay.portal.deploy.a
 uto,com.liferay.portal.deploy.dependencies.images.liferay-ui,com.life
 ray.portal.deploy.hot.messaging,com.liferay.portal.diff,com.liferay.p
 ortal.editor.configuration,com.liferay.portal.ee.license,com.liferay.
 portal.ee.license.a,com.liferay.portal.ee.license.messaging,com.lifer
 ay.portal.fabric,com.liferay.portal.fabric.agent,com.liferay.portal.f
 abric.agent.selectors,com.liferay.portal.fabric.client,com.liferay.po
 rtal.fabric.local.agent,com.liferay.portal.fabric.local.worker,com.li
 feray.portal.fabric.netty.agent,com.liferay.portal.fabric.netty.clien
 t,com.liferay.portal.fabric.netty.codec.serialization,com.liferay.por
 tal.fabric.netty.fileserver,com.liferay.portal.fabric.netty.fileserve
 r.handlers,com.liferay.portal.fabric.netty.handlers,com.liferay.porta
 l.fabric.netty.repository,com.liferay.portal.fabric.netty.rpc,com.lif
 eray.portal.fabric.netty.rpc.handlers,com.liferay.portal.fabric.netty
 .server,com.liferay.portal.fabric.netty.util,com.liferay.portal.fabri
 c.netty.worker,com.liferay.portal.fabric.repository,com.liferay.porta
 l.fabric.server,com.liferay.portal.fabric.status,com.liferay.portal.f
 abric.worker,com.liferay.portal.facebook,com.liferay.portal.format,co
 m.liferay.portal.image,com.liferay.portal.increment,com.liferay.porta
 l.internal.change.tracking.hibernate,com.liferay.portal.internal.clus
 ter,com.liferay.portal.internal.dao.sql.transformer,com.liferay.porta
 l.internal.errors,com.liferay.portal.internal.increment,com.liferay.p
 ortal.internal.messaging.async,com.liferay.portal.internal.minifier,c
 om.liferay.portal.internal.security.permission.contributor,com.lifera
 y.portal.internal.servlet,com.liferay.portal.internal.terms.of.use,co
 m.liferay.portal.internal.util,com.liferay.portal.javadoc,com.liferay
 .portal.jericho,com.liferay.portal.json,com.liferay.portal.json.data,
 com.liferay.portal.json.jabsorb.serializer,com.liferay.portal.json.tr
 ansformer,com.liferay.portal.jsonwebservice,com.liferay.portal.jsonwe
 bservice.action,com.liferay.portal.language,com.liferay.portal.layout
 configuration.util,com.liferay.portal.layoutconfiguration.util.veloci
 ty,com.liferay.portal.layoutconfiguration.util.xml,com.liferay.portal
 .license,com.liferay.portal.license.a,com.liferay.portal.license.clas
 sloader,com.liferay.portal.license.util,com.liferay.portal.linkback,c
 om.liferay.portal.liveusers,com.liferay.portal.liveusers.messaging,co
 m.liferay.portal.log,com.liferay.portal.messaging.proxy,com.liferay.p
 ortal.metadata,com.liferay.portal.model,com.liferay.portal.model.adap
 ter.builder,com.liferay.portal.model.adapter.impl,com.liferay.portal.
 model.impl,com.liferay.portal.module.framework,com.liferay.portal.nio
 .intraband.cache,com.liferay.portal.nio.intraband.proxy,com.liferay.p
 ortal.notifications,com.liferay.portal.oauth,com.liferay.portal.patch
 er,com.liferay.portal.poller,com.liferay.portal.poller.comet,com.life
 ray.portal.poller.messaging,com.liferay.portal.repository,com.liferay
 .portal.repository.capabilities,com.liferay.portal.repository.capabil
 ities.util,com.liferay.portal.repository.external,com.liferay.portal.
 repository.liferayrepository,com.liferay.portal.repository.liferayrep
 ository.model,com.liferay.portal.repository.liferayrepository.social,
 com.liferay.portal.repository.portletrepository,com.liferay.portal.re
 pository.registry,com.liferay.portal.repository.temporaryrepository,c
 om.liferay.portal.repository.util,com.liferay.portal.search,com.lifer
 ay.portal.search.dependencies.spellchecker,com.liferay.portal.securit
 y.access.control,com.liferay.portal.security.auth.http,com.liferay.po
 rtal.security.auth.session,com.liferay.portal.security.auth.tunnel,co
 m.liferay.portal.security.jaas,com.liferay.portal.security.jaas.ext,c
 om.liferay.portal.security.jaas.ext.jboss,com.liferay.portal.security
 .jaas.ext.tomcat,com.liferay.portal.security.jaas.ext.weblogic,com.li
 feray.portal.security.membershippolicy,com.liferay.portal.security.pe
 rmission,com.liferay.portal.security.pwd,com.liferay.portal.security.
 sso,com.liferay.portal.security.xml,com.liferay.portal,com.liferay.po
 rtal.service,com.liferay.portal.service.base,com.liferay.portal.servi
 ce.impl,com.liferay.portal.service.persistence.impl,com.liferay.porta
 l.servlet.delegate,com.liferay.portal.servlet.filters.absoluteredirec
 ts,com.liferay.portal.servlet.filters.aggregate,com.liferay.portal.se
 rvlet.filters.autologin,com.liferay.portal.servlet.filters.cache,com.
 liferay.portal.servlet.filters.dynamiccss,com.liferay.portal.servlet.
 filters.etag,com.liferay.portal.servlet.filters.fragment,com.liferay.
 portal.servlet.filters.gzip,com.liferay.portal.servlet.filters.header
 ,com.liferay.portal.servlet.filters.i18n,com.liferay.portal.servlet.f
 ilters.ignore,com.liferay.portal.servlet.filters.jsoncontenttype,com.
 liferay.portal.servlet.filters.language,com.liferay.portal.servlet.fi
 lters.lockout,com.liferay.portal.servlet.filters.password.modified,co
 m.liferay.portal.servlet.filters.secure,com.liferay.portal.servlet.fi
 lters.servletauthorizing,com.liferay.portal.servlet.filters.servletco
 ntextinclude,com.liferay.portal.servlet.filters.sessionid,com.liferay
 .portal.servlet.filters.sessionmaxallowed,com.liferay.portal.servlet.
 filters.strip,com.liferay.portal.servlet.filters.themepreview,com.lif
 eray.portal.servlet.filters.threaddump,com.liferay.portal.servlet.fil
 ters.threadlocal,com.liferay.portal.servlet.filters.unsyncprintwriter
 pool,com.liferay.portal.servlet.filters.urlrewrite,com.liferay.portal
 .servlet.filters.util,com.liferay.portal.servlet.filters.validhostnam
 e,com.liferay.portal.servlet.filters.virtualhost,com.liferay.portal.s
 ervlet.filters.weblogic,com.liferay.portal.servlet.filters.websphere,
 com.liferay.portal.servlet.taglib.ui,com.liferay.portal.setup,com.lif
 eray.portal.sharepoint,com.liferay.portal.sharepoint.dws,com.liferay.
 portal.sharepoint.methods,com.liferay.portal.social,com.liferay.porta
 l.spring.aop,com.liferay.portal.spring.bean,com.liferay.portal.spring
 .compat,com.liferay.portal.spring.context,com.liferay.portal.spring.h
 ibernate,com.liferay.portal.spring.transaction,com.liferay.portal.spr
 ing.util,com.liferay.portal.struts,com.liferay.portal.struts.constant
 s,com.liferay.portal.struts.model,com.liferay.portal.subscription.soc
 ial,com.liferay.portal.systemevent,com.liferay.portal.templateparser,
 com.liferay.portal.theme,com.liferay.portal.tools.comparator,com.life
 ray.portal.tools.deploy,com.liferay.portal.tools.deploy.extension,com
 .liferay.portal.tools.jspc.common,com.liferay.portal.tools.properties
 doc,com.liferay.portal.tools.sql,com.liferay.portal.transaction,com.l
 iferay.portal.typeconverter,com.liferay.portal.upgrade,com.liferay.po
 rtal.upgrade.v7_0_0.util,com.liferay.portal.upgrade.v7_0_1,com.lifera
 y.portal.upgrade.v7_0_1.util,com.liferay.portal.upgrade.v7_0_3,com.li
 feray.portal.upgrade.v7_0_3.util,com.liferay.portal.upgrade.v7_0_5.ut
 il,com.liferay.portal.upgrade.v7_0_6,com.liferay.portal.upgrade.v7_0_
 6.util,com.liferay.portal.upgrade.v7_1_x.util,com.liferay.portal.upgr
 ade.v7_2_x,com.liferay.portal.upgrade.v7_2_x.util,com.liferay.portal.
 upgrade.v7_3_x,com.liferay.portal.upgrade.v7_3_x.util,com.liferay.por
 tal.uuid,com.liferay.portal.verify,com.liferay.portal.verify.model,co
 m.liferay.portal.webcache,com.liferay.portal.webdav,com.liferay.porta
 l.webdav.methods,com.liferay.portal.webserver,com.liferay.portal.word
 s,com.liferay.portal.workflow,com.liferay.portal.workflow.comparator,
 com.liferay.portal.workflow.permission,com.liferay.portal.xml.xpath,c
 om.liferay.portal.xmlrpc,com.liferay.portal.xsl,com.liferay.portal.xu
 ggler,com.liferay.portal.zip,com.liferay.portlet.admin.util,com.lifer
 ay.portlet.announcements.model,com.liferay.portlet.announcements.mode
 l.impl,com.liferay.portlet.announcements,com.liferay.portlet.announce
 ments.service.base,com.liferay.portlet.announcements.service.http,com
 .liferay.portlet.announcements.service.impl,com.liferay.portlet.annou
 ncements.service.permission,com.liferay.portlet.announcements.service
 .persistence.impl,com.liferay.portlet.asset.action,com.liferay.portle
 t.asset.model.adapter.builder,com.liferay.portlet.asset.model.adapter
 .impl,com.liferay.portlet.asset.service.base,com.liferay.portlet.asse
 t.service.http,com.liferay.portlet.asset.service.impl,com.liferay.por
 tlet.asset.service.persistence.impl,com.liferay.portlet.asset.util.co
 mparator,com.liferay.portlet.documentlibrary.asset.model,com.liferay.
 portlet.documentlibrary.constants,com.liferay.portlet.documentlibrary
 .messaging,com.liferay.portlet.documentlibrary.model.impl,com.liferay
 .portlet.documentlibrary.service.base,com.liferay.portlet.documentlib
 rary.service.http,com.liferay.portlet.documentlibrary.service.impl,co
 m.liferay.portlet.documentlibrary.service.persistence.impl,com.lifera
 y.portlet.documentlibrary.sharepoint,com.liferay.portlet.documentlibr
 ary.social,com.liferay.portlet.documentlibrary.util.comparator,com.li
 feray.portlet.documentlibrary.webdav,com.liferay.portlet.expando,com.
 liferay.portlet.expando.service.base,com.liferay.portlet.expando.serv
 ice.http,com.liferay.portlet.expando.service.impl,com.liferay.portlet
 .expando.service.permission,com.liferay.portlet.expando.service.persi
 stence.impl,com.liferay.portlet.expando.util.comparator,com.liferay.p
 ortlet.exportimport.model.impl,com.liferay.portlet.exportimport,com.l
 iferay.portlet.exportimport.service.base,com.liferay.portlet.exportim
 port.service.http,com.liferay.portlet.exportimport.service.impl,com.l
 iferay.portlet.exportimport.service.persistence.impl,com.liferay.port
 let.exportimport.staging,com.liferay.portlet.extra.config,com.liferay
 .portlet.internal,com.liferay.portlet.layoutsadmin.util,com.liferay.p
 ortlet.portletconfiguration.action,com.liferay.portlet.portletconfigu
 ration,com.liferay.portlet.portletconfiguration.util,com.liferay.port
 let.ratings.model.impl,com.liferay.portlet.ratings,com.liferay.portle
 t.ratings.service.base,com.liferay.portlet.ratings.service.http,com.l
 iferay.portlet.ratings.service.impl,com.liferay.portlet.ratings.servi
 ce.persistence.impl,com.liferay.portlet.rolesadmin.search,com.liferay
 .portlet.rolesadmin.util,com.liferay.portlet.sites.action,com.liferay
 .portlet.sites.search,com.liferay.portlet.sites.util,com.liferay.port
 let.sitesadmin.search,com.liferay.portlet.social.model.impl,com.lifer
 ay.portlet.social,com.liferay.portlet.social.service.base,com.liferay
 .portlet.social.service.http,com.liferay.portlet.social.service.impl,
 com.liferay.portlet.social.service.permission,com.liferay.portlet.soc
 ial.service.persistence.impl,com.liferay.portlet.social.util,com.life
 ray.portlet.trash.service.http,com.liferay.portlet.usergroupsadmin.se
 arch,com.liferay.portlet.usersadmin.atom,com.liferay.portlet.usersadm
 in.util,content,custom-sql,resource-actions,tika
Require-Capability: osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
TODAY: October 30 2024
Tool: Bnd-3.5.0.201709291849
TSTAMP: 0751
